#!/gnuplot
reset
set encoding default
set grid front
set border -1 back
set view 75, 20, 1, 1
set xyplane relative 0
set xtics 1 offset 0,-0.5
set ytics 1
set ztics 1
set cbtics border in scale 1,0.5 mirror norotate  autojustify
set cbtics  norangelimit 
set cbtics   ("-π" -3.14159, "π" 3.14159)
set title "agm(1, {/Times:Italic k}) / agm(1, {/Times:Italic k}'), {/Times:Italic k}' = sqrt(1 - {/Times:Italic k}^2)"
set xlabel "{/Times:Italic k}_{real}" offset 0, -1.5 rotate parallel
set xrange [ -2.0: 2.0] noreverse writeback
set ylabel "{/Times:Italic k}_{imaginary}" offset 0,-1 rotate parallel
set yrange [ -2.0: 2.0] noreverse writeback
set zlabel "Magnitude" offset 1 rotate
set zrange [ 0.0: 3.0] noreverse writeback
set cblabel "Phase angle" offset character -2 rotate
set cbrange [ -3.14159 : 3.14159 ]
set palette positive nops_allcF maxcolors 0 gamma 1.5 color model HSV 
#set palette defined ( 0 0 1 1, 1 1 1 1 )
set palette defined ( 0 0.5 1 1, 0.5 1 1 1, 0.5 0 1 1, 1 0.5 1 1)
#set palette defined ( 0 0 1 0, 1 0 1 1, 6 0.8333 1 1, 7 0.8333 0 1)
set colorbox default
set colorbox vertical origin screen 0.9, 0.2 size screen 0.05, 0.6 front
set style boxplot candles range  1.50 outliers pt 7 separation 1 labels auto unsorted
### plot to image file
set terminal png size 1920,1440 interlace transparent truecolor enhanced font Times 36
set output "cEllipticKRatio-pm3D.png"
splot "cEllipticKRatio-polar.txt" with pm3d t ""
set output
### replot to wxt
set terminal wxt enhanced
rep
#    EOF
